/********************************************************
 * server.h
 *
 * Some ad hoc tools for setting up a server
 * (uses an internet domain, datagram socket)
 *
 * Sixth Annual DIMACS Implementation Challenge
 * Author:  Michael Goldwasser (wass@cs.princeton.edu)
 * Created: Jan 16, 1998
 *******************************************************/

#ifndef _SERVER
#define _SERVER

#include "oracle.h"

/********************************************************
 * void  ServerOpen(int port, Oracle* ora, int quiet)
 *
 * Parameters:
 *   int port         --- what port should server use
 *   Oracle* ora      --- pointer sent to even handlers
 *   int quiet        --- should server echo messages/responses to screen
 *
 * Returns:
 *   A symbolic pointer to the new server.
 *
 * Description:
 *   This routine starts up a server on the local machine, at the
 *   specified port.  The Oracle pointer is simply held, and then
 *   sent on to any event handlers when query messages arrive.
 *  
 *******************************************************/
void  ServerOpen(int port, Oracle* ora, int quiet);



#endif
